settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'rftoolsbase:machine_frame'})

event.shaped('rftoolsbase:machine_frame', [
    'IFI',
    'RSR',
    'IFI'
  ], {
    S: 'industrialforegoing:machine_frame_pity',
    I: 'refinedstorage:quartz_enriched_iron',
    R: 'refinedstorage:improved_processor',
    F: 'minecraft:blue_dye'
  })

}
)